Bug 1776927 - Kickstart default iPXE setting wrong ksdevice when primary interface is not used for provisioning
Summary: Kickstart default iPXE setting wrong ksdevice when primary interface is not u...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Provisioning Templates
Version: 6.6.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: 6.7.0
Assignee: satellite6-bugs
QA Contact: Roman Plevka
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-26 15:22 UTC by Joniel Pasqualetto
Modified: 2020-04-14 13:27 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-14 13:27:30 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github theforeman community-templates pull 665 'None' closed Change variable used to populate ksdevice parameter 2020-06-29 15:02:34 UTC
Red Hat Knowledge Base (Solution) 4612091 None None None 2019-11-26 16:34:12 UTC
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:27:40 UTC

Description Joniel Pasqualetto 2019-11-26 15:22:54 UTC
Description of problem:

When host to be provisioned has multiple nics and provision interface is not the primary interface, kernel line generated  for iPXE contains the wrong ksdevice.


Version-Release number of selected component (if applicable):


How reproducible:

always

Steps to Reproduce:
1. Create a host with 2 nics
2. Define one of the nics as primary and the other nic as provisioning
3. Render the iPXE template

Actual results:
mac address of the "ksdevice' parameter is the mac address of the primary  interface.

Expected results:
mac address of the 'ksdevice' parameter should be the mac address of the provision interface.

Additional info:

It's easy to fix, just use the variable @host.provision_interface.mac instead of @host.mac

Comment 3 Ondřej Pražák 2020-02-25 11:08:12 UTC
The change in the iPXE template has made it into 6.7 snaps already. Could QE verify this is fixed?

Comment 4 Roman Plevka 2020-03-05 09:07:42 UTC
VERIFIED
on sat6.7.0-14

The template is updated and correctly set the ksdevice to the MAC address of the provisioning iface

Comment 7 errata-xmlrpc 2020-04-14 13:27:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.